mixin empreendimento(empreendimentos, showAcoes)

	div(ng-if=empreendimentos + ".length > 0")

		table.table.table-striped

			thead

				tr
					th.col-md-4
						| Denominação

					th.col-md-4
						| CPF / CNPJ

					th(ng-class="" + showAcoes + "? 'col-md-3' : 'col-md-4'")
						| Vínculo

					th.col-md-1(ng-show="" + showAcoes)
						center
							| Ação

			tbody

				tr(ng-repeat=("empreendimento in "+ empreendimentos +""))

					td
						.text(uib-tooltip="{{empreendimento.denominacao}}", tooltip-placement="top-left")
							span {{empreendimento.denominacao}}

					td
						.text(uib-tooltip="{{empreendimento.pessoa.cpf || empreendimento.pessoa.cnpj | cpfCnpj}}", tooltip-placement="top-left")
							span {{empreendimento.pessoa.cpf || empreendimento.pessoa.cnpj | cpfCnpj}}

					td
						span.badge(uib-tooltip="Proprietário", tooltip-placement="top-left", ng-class="empreendimento.pessoaIsProprietario ? 'badge-habilitado' : 'badge-desabilitado'") Prop.
						span.badge(uib-tooltip="Representante legal", tooltip-placement="top-left", ng-show="pessoaVisualizar.cpf", ng-class="empreendimento.pessoaIsRepresentanteLegal ? 'badge-habilitado' : 'badge-desabilitado'") Rep. L
						span.badge(uib-tooltip="Responsável legal", tooltip-placement="top-left", ng-show="pessoaVisualizar.cpf", ng-class="empreendimento.pessoaIsResponsavelLegal ? 'badge-habilitado' : 'badge-desabilitado'") Resp. L
						span.badge(uib-tooltip="Responsável técnico", tooltip-placement="top-left", ng-class="empreendimento.pessoaIsResponsavelTecnico ? 'badge-habilitado' : 'badge-desabilitado'") Resp. T

					td(ng-show="" + showAcoes)
						center
							a.cursor-pointer(title='Visualizar', ng-click='visualizarEmpreendimento(empreendimento.id)')
								span.glyphicon.glyphicon-eye-open

	div(ng-if=empreendimentos + ".length === 0")
		center
			| Não existem empreendimentos relacionados a esta pessoa.
